Update organization
https://api.elastic-cloud.com/api/v1
- PUT /organizations/{organization_id}
WARNING This endpoint is deprecated and scheduled to be removed in the next major version.
Updates an existing organization. Currently unavailable in self-hosted ECE.
Path Parameters
-
organization_idstringrequired -
Identifier for the Organization
Request
The organization to update
-
namestring -
The organization's friendly name
-
enforce_authentication_method -
Enforces a particular authentication method for organization members
-
Values:
sso -
default_disk_usage_alerts_enabledboolean -
Whether the default disk alerts are enabled
-
notifications_allowed_email_domainsstring -
The list of allowed domains for notification-email recipients
-
billing_contactsstring -
The list of contacts for billing notifications
-
operational_contactsstring -
The list of contacts for operational notifications
Responses
Organization updated successfully
-
idstringrequired -
The organization's identifier
-
namestringrequired -
The organization's friendly name
-
enforce_authentication_methodstring -
Enforces a particular authentication method for organization members
-
default_disk_usage_alerts_enabledboolean -
Whether the default disk alerts are enabled
-
notifications_allowed_email_domainsstring -
The list of allowed domains for notification-email recipients
-
billing_contactsstring -
The list of contacts for billing notifications, if specified
-
operational_contactsstring -
The list of contacts for operational notifications, if specified
-
sso_login_identifierstring -
The login identifier for initiating SSO
- Name must be between 2 and 30 characters. (code:
organization.invalid_name) - User already has an organization. (code:
organization.user_organization_already_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
You are not authorized to perform this action
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
The current user does not have access to the requested organization. (code: organization.invalid_access)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Organization not found. (code: organization.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response